[ Maverik Level 1 functions ]

#

mav_matrixXAxisSet

mav_matrixXAxisSet, mav_matrixYAxisSet, mav_matrixZAxisSet

## Summary

Set the various axes of a matrix.

## Syntax

MAV_matrix mav_matrixXAxisSet(MAV_matrix m, MAV_vector v);

MAV_matrix mav_matrixYAxisSet(MAV_matrix m, MAV_vector v);

MAV_matrix mav_matrixZAxisSet(MAV_matrix m, MAV_vector v);

- MAV_matrix m
  Matrix in question.

- MAV_vector v
  Vector to use.

## Description

These functions set the axes of matrix `m` returning the result, i.e. they set the result of multiplying the principle axis by `m`. This will be the vector the axis will map onto if `m` is used to transform coordinate systems. N.B. Mathematics dictates that axes can not be set independently of one another.

Back to the index page.